#
# cobalt.mc
#

divert(0)
include(`m4/cf.m4')dnl
VERSIONID(`cobalt.mc for sendmail 8.11.7')dnl
OSTYPE(`linux')dnl
divert(-1)

# general options
divert(0)
undefine(`UUCP_RELAY')dnl
undefine(`BITNET_RELAY')dnl
define(`PROCMAIL_MAILER_PATH', `/usr/bin/procmail')dnl
define(`QUEUE_DIR', `/var/spool/mqueue/q*')dnl
define(`STATUS_FILE', `/etc/mail/statistics')dnl
define(`ALIAS_FILE', `/etc/mail/aliases')dnl
define(`confCT_FILE', `/etc/mail/trusted-users')dnl
define(`confCW_FILE', `/etc/mail/local-host-names')dnl
define(`confEBINDIR', `/usr/sbin')dnl
define(`confDEF_USER_ID', ``8:12'')dnl
define(`confAUTH_MECHANISMS', `PLAIN CRAM-MD5 DIGEST-MD5')dnl
define(`confDONT_BLAME_SENDMAIL', `forwardfileingroupwritabledirpath')dnl
define(`confAUTO_REBUILD', `True')dnl
define(`confPRIVACY_FLAGS', `goaway,noexpn,novrfy,authwarnings')dnl
define(`confQUEUE_LA', `15')dnl
define(`confREFUSE_LA', `20')dnl
define(`confME_TOO', `True')dnl
define(`confDONT_EXPAND_CNAMES', `True')dnl
define(`confSMTP_LOGIN_MSG', `$?{if_name}${if_name}$|$j$. Sendmail $v/$Z; $b')dnl
define(`confRECEIVED_HEADER', `$?sfrom $s $.$?_($?s$|from $.$_)
	$.$?{auth_type}(authenticated)
	$.by $?{if_name}${if_name}$|$j$. ($v/$Z)$?r with $r$. id $i$?u
	for $u; $|;
	$.$b')dnl
define(`confCACERT_PATH', `/etc/certs')dnl
divert(-1)

# features
divert(0)
FEATURE(`smrsh')dnl
FEATURE(`redirect')dnl
FEATURE(`use_cw_file')dnl
FEATURE(`use_ct_file')dnl
FEATURE(`local_procmail')dnl
FEATURE(`no_default_msa')dnl
FEATURE(`access_db', hash -o /etc/mail/access)dnl
FEATURE(`virtusertable', hash -o /etc/mail/virtusertable)dnl
VIRTUSER_DOMAIN_FILE(`/etc/mail/virthosts')dnl
TRUST_AUTH_MECH(`CRAM-MD5 DIGEST-MD5')dnl
divert(-1)

# mailers
divert(0)
MAILER(`smtp')dnl
MAILER(`procmail')dnl

LOCAL_CONFIG
Kpopauth hash -a<MATCH> /etc/mail/popip
LOCAL_RULESETS
SLocal_check_rcpt
# Put the address into cannonical form (even if it doesn't resolve to an MX)
R$*			$: $>Parse0 $>3 $1
R$* < $* > $*		$: $1 < $2 . > $3
R$* < $* . . > $*	$1 < $2 . > $3
# Test against pop-before-relay hash
R$*			$: < $&{client_addr} >
R< $* >			$(popauth $1 $)
R$* < MATCH >		$#OK

divert(-1)

